
QGIS Application - Bug report #14978

Join attributes in Processing works in a slightly different way compared to core tool
Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22927

Description

When you 'manually' create a join with 2 layers, the resulting joined file shows the joined field only once.

When you use the 'Join attributes table' algorithm to do the same, the resulting joined file shows all the fields, including the joined ones.

It seems inconsistent to me and a nuisance when you want to use the algorithm in the graphical modeler.

I'm on windows7 pro 64b, qGIS 2.14.3 code revision cf2ebb8

History

#1 - 2016-06-10 03:36 AM - Alexander Bruy

- Status changed from Open to Feedback

- Category set to Processing/QGIS

You are talking about different functionalities: core and Processing plugin. There is nothing strange in fact that they operates differently.

#2 - 2016-06-10 09:51 PM - Laurence Bechet 

Thank you for your answer.

Unfortunately it may make sense to you, but not to an end user like me:

1) a join on tables is a join, whichever the tool

2) if the algorithm is not the right one to use to make real join on tables (like you would manually) which algorithm is the good one?

Cheers

#3 - 2016-07-03 07:48 AM - Giovanni Manghi

- Subject changed from Join Attributes table algorithm to join attributes in processingworks in a slightly different way compared to core tool

- Status changed from Feedback to Open

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-05-01 02:41 PM - Alexander Bruy

- Subject changed from join attributes in processingworks in a slightly different way compared to core tool to Join attributes in Processing works in a 

slightly different way compared to core tool

- Description updated
#6 - 2018-04-19 06:34 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in 3 - the join algorithm allows manual selection of fields to include
